List ensembles
A named, reusable performing lineup (prefab) — e.g. "String Quartet", "5-Piece". Composed of roles via ensemble_roles.
Query Parameters
- Type: integerlimitmin:0max:200
Page size, 50 by default, 200 at most.
- Type: integeroffsetmin:0
Records to skip.
- Type: stringsort
Comma-separated fields; prefix with
-for descending. Sortable: label, status, marketingLabel, order, receptionCategory, createdTime, lastEditedTime, id. Default: order,label. - Type: stringfields
Comma-separated subset of fields to return.
idis always included. - filter[label]
Shorthand
filter[label]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.- Type: string
Shorthand
filter[label]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.
- filter[status]
Shorthand
filter[status]=valuemeans equals. Operators: equals, does_not_equal, is_empty, is_not_empty.- Type: "inactive" or "active"enum
Shorthand
filter[status]=valuemeans equals. Operators: equals, does_not_equal, is_empty, is_not_empty.
- filter[marketing
Label] Shorthand
filter[marketingLabel]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.- Type: string
Shorthand
filter[marketingLabel]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.
- filter[order]
Shorthand
filter[order]=valuemeans equals. Operators: equals, does_not_equal, greater_than, less_than, greater_than_or_equal_to, less_than_or_equal_to, is_empty, is_not_empty.- Type: number
Shorthand
filter[order]=valuemeans equals. Operators: equals, does_not_equal, greater_than, less_than, greater_than_or_equal_to, less_than_or_equal_to, is_empty, is_not_empty.
- filter[reception
Category] Shorthand
filter[receptionCategory]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.- Type: string
Shorthand
filter[receptionCategory]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.
- filter[created
Time] Shorthand
filter[createdTime]=valuemeans equals. Operators: equals, before, after, on_or_before, on_or_after, is_empty, is_not_empty.- Type: stringFormat: date-time
Shorthand
filter[createdTime]=valuemeans equals. Operators: equals, before, after, on_or_before, on_or_after, is_empty, is_not_empty.
- filter[last
Edited Time] Shorthand
filter[lastEditedTime]=valuemeans equals. Operators: equals, before, after, on_or_before, on_or_after, is_empty, is_not_empty.- Type: stringFormat: date-time
Shorthand
filter[lastEditedTime]=valuemeans equals. Operators: equals, before, after, on_or_before, on_or_after, is_empty, is_not_empty.
Responses
- application/json
- application/json
- application/json
- application/json
curl 'https://api.weddingoperatingsystems.com/api/v1/ensembles?limit=50&offset=0&sort=order%2Clabel' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"label": null,
"status": "inactive",
"marketingLabel": null,
"order": null,
"receptionCategory": null,
"createdTime": "2026-09-30T06:22:05.745Z",
"lastEditedTime": "2026-09-30T06:22:05.745Z"
}
],
"meta": {
"total": 1,
"limit": 1,
"offset": 1
}
}